"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConstantPeriodBatch = void 0;
// Copyright (C) 2024 Gnuxie <Gnuxie@protonmail.com>
//
// SPDX-License-Identifier: AFL-3.0 AND Apache-2.0
class ConstantPeriodBatch {
    constructor(cb, delayMS = 0) {
        this.finished = false;
        setTimeout(() => {
            this.finished = true;
            cb();
        }, delayMS);
    }
    isFinished() {
        return this.finished;
    }
}
exports.ConstantPeriodBatch = ConstantPeriodBatch;
//# sourceMappingURL=ConstantPeriodBatch.js.map